> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Status Page Subscriptions

`GET https://api.pagerduty.com/status_pages/{id}/subscriptions`

List Subscriptions for a Status Page by Status Page ID.

Scoped OAuth requires: `status_pages.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `status` | string |  | Filter by Subscription status. One of: `active`, `pending`, `suspended`. |
| `channel` | string |  | Filter by Subscription channel. One of: `webhook`, `email`, `slack`. |
| `limit` | integer |  | The number of results per page. Default: `100`. Minimum: 0. Maximum: 100. |
| `offset` | integer |  | Offset to start pagination search results. Default: `0`. Minimum: 0. |
| `total` | boolean |  | By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://docs.pagerduty.com/developer/pagination) for more information. Default: `false`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

OK

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `offset` | integer |  | Echoes offset pagination property. Read-only. |
| `limit` | integer |  | Echoes limit pagination property. Read-only. |
| `more` | boolean |  | Indicates if there are additional records to return. Read-only. |
| `total` | integer \| null |  | The total number of records matching the given query. Read-only. |
| `subscriptions` | array of object |  |  |
| `subscriptions[].channel` | string |  | The channel of the subscription. One of: `webhook`, `email`, `slack`. |
| `subscriptions[].contact` | string |  | The subscriber's contact - email address, webhook URL, etc... |
| `subscriptions[].id` | string |  | The ID of the Subscription. |
| `subscriptions[].self` | string |  | The path in which the Subscription resource is accessible. |
| `subscriptions[].status` | string |  | The status of the Subscription. One of: `active`, `pending`, `suspended`. |
| `subscriptions[].status_page` | object |  | Status Page. |
| `subscriptions[].status_page.id` | string | yes | Status page unique identifier. |
| `subscriptions[].status_page.type` | string |  | A string that determines the schema of the object. |
| `subscriptions[].subscribable_object` | object |  | The subscribed entity for a given subscription. |
| `subscriptions[].subscribable_object.id` | string |  | The ID of the subscribed entity. |
| `subscriptions[].subscribable_object.type` | string |  | The type of the subscribed entity. One of: `status_page`, `status_page_service`, `status_page_post`. |
| `subscriptions[].type` | string |  | A string that determines the schema of the object. |

Example: Response Example

```json
{
  "limit": 100,
  "more": false,
  "offset": 0,
  "subscriptions": [
    {
      "channel": "email",
      "contact": "address@email.example",
      "id": "PWZ0PTR",
      "self": "https://api.pagerduty.com/status_pages/PIJ90N7/subscriptions/PWZ0PTR",
      "status": "active",
      "status_page": {
        "id": "PIJ90N7",
        "type": "status_page"
      },
      "subscribable_object": {
        "id": "PIJ90N7",
        "type": "status_page"
      },
      "type": "status_page_susbcription"
    }
  ],
  "total": 1
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
